Mailinglist Archive: opensuse-updates (64 mails)

< Previous Next >
openSUSE-SU-2014:1144-1: moderate: squid: security and bugfixes
openSUSE Security Update: squid: security and bugfixes
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1144-1
Rating: moderate
References: #893649 #894636 #894840
Cross-References: CVE-2014-3609
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:


This update fixes the following security issues and bugs with squid:

A denial of Service in Range header processing was fixed that could be
used by proxy users to crash squid. (CVE-2014-3609)

Also the following bugs were fixed:
- bnc#894840: removed unnecessary 'sharedscripts' in squid's logrotate
snippet
- bnc#894636: fixes run of init script when logrotate is called


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-548

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-548

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

squid-3.3.13-2.10.1
squid-debuginfo-3.3.13-2.10.1
squid-debugsource-3.3.13-2.10.1

- openSUSE 12.3 (i586 x86_64):

squid-3.2.11-3.16.1
squid-debuginfo-3.2.11-3.16.1
squid-debugsource-3.2.11-3.16.1


References:

http://support.novell.com/security/cve/CVE-2014-3609.html
https://bugzilla.novell.com/893649
https://bugzilla.novell.com/894636
https://bugzilla.novell.com/894840


< Previous Next >
This Thread
  • No further messages